org.apache.commons.jelly.tags.junit

## Class AssertFileContainsTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport
    - - org.apache.commons.jelly.tags.junit.AssertTagSupport
      - - org.apache.commons.jelly.tags.junit.AssertFileContainsTag

All Implemented Interfaces:
  Tag

    public class AssertFileContainsTag
    extends AssertTagSupport

Checks that a file exists, and if not, then the test will fail.

Version:
  $Revision: 345902 $
Author:
  Dion Gillard

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`AssertFileContainsTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Do the tag functionality: check the file exists.
`void` `setFile(java.io.File aFile)` The file to be tested.
`void` `setMatch(java.lang.String aString)` The content to be checked for.

### Methods inherited from class org.apache.commons.jelly.tags.junit.AssertTagSupport

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, fail, failNotEquals`

### Methods inherited from class org.apache.commons.jelly.xpath.XPathTagSupport

`getXPathContext`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertFileContainsTag

    public AssertFileContainsTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Do the tag functionality: check the file exists.

Parameters:
  `output` - a place to write text output
Throws:
  `JellyTagException` - if the file doesn't exist.

#### setFile

    public void setFile(java.io.File aFile)

The file to be tested. If this file exists, the test will pass.

Parameters:
  `aFile` - the file to test.

#### setMatch

    public void setMatch(java.lang.String aString)

The content to be checked for. If this text matches some part of the given file, the test will pass.